Description: Do not use assertRegexpMatches but assertRegex
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1058086
Forwarded: no
Last-Update: 2023-12-13

--- python-monasca-statsd-2.7.0.orig/tests/test_monascastatsd.py
+++ python-monasca-statsd-2.7.0/tests/test_monascastatsd.py
@@ -148,12 +148,12 @@ class TestMonascaStatsd(unittest.TestCas
         if isinstance(result, bytes):
             result = result.decode('utf-8')
 
-        self.assertRegexpMatches(result, "counter_with_dims:1|c|#{")
-        self.assertRegexpMatches(result, "'country': 'canada'")
-        self.assertRegexpMatches(result, "'date': '10/24'")
-        self.assertRegexpMatches(result, "'color': 'red'")
-        self.assertRegexpMatches(result, "'env': 'test'")
-        self.assertRegexpMatches(result, "'time': '23:00'")
+        self.assertRegex(result, "counter_with_dims:1|c|#{")
+        self.assertRegex(result, "'country': 'canada'")
+        self.assertRegex(result, "'date': '10/24'")
+        self.assertRegex(result, "'color': 'red'")
+        self.assertRegex(result, "'env': 'test'")
+        self.assertRegex(result, "'time': '23:00'")
 
         counter += 1
 
@@ -161,10 +161,10 @@ class TestMonascaStatsd(unittest.TestCas
         if isinstance(result, bytes):
             result = result.decode('utf-8')
 
-        self.assertRegexpMatches(result, "counter_with_dims:1|c|#{")
-        self.assertRegexpMatches(result, "'date': '10/24'")
-        self.assertRegexpMatches(result, "'env': 'test'")
-        self.assertRegexpMatches(result, "'time': '23:00'")
+        self.assertRegex(result, "counter_with_dims:1|c|#{")
+        self.assertRegex(result, "'date': '10/24'")
+        self.assertRegex(result, "'env': 'test'")
+        self.assertRegex(result, "'time': '23:00'")
 
     def test_gauge(self):
         gauge = self.client.get_gauge('gauge')
@@ -186,11 +186,11 @@ class TestMonascaStatsd(unittest.TestCas
         if isinstance(result, bytes):
             result = result.decode('utf-8')
 
-        self.assertRegexpMatches(result, "gauge.gt:123.4|g|#{")
-        self.assertRegexpMatches(result, "'country': 'china'")
-        self.assertRegexpMatches(result, "'age': 45")
-        self.assertRegexpMatches(result, "'color': 'blue'")
-        self.assertRegexpMatches(result, "'env': 'test'")
+        self.assertRegex(result, "gauge.gt:123.4|g|#{")
+        self.assertRegex(result, "'country': 'china'")
+        self.assertRegex(result, "'age': 45")
+        self.assertRegex(result, "'color': 'blue'")
+        self.assertRegex(result, "'env': 'test'")
 
     def test_sample_rate(self):
         counter = self.client.get_counter('sampled_counter')
